Malt04 (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.helper
Class Malt04

    java.lang.Object
      org.maltparser.core.helper.Malt04

    public class Malt04

extends Object

Author:
  Johan Hall

Constructor Summary
`Malt04()`

Method Summary
`static void` | `loadAllMalt04Tagset(OptionManager om, int containerIndex, SymbolTableHandler symbolTableHandler, org.apache.log4j.Logger logger)`
`static void` | `loadMalt04Cposset(String fileName, String charSet, String nullValueStrategy, SymbolTableHandler symbolTableHandler, org.apache.log4j.Logger logger)`
`static void` | `loadMalt04Depset(String fileName, String charSet, String nullValueStrategy, String rootLabels, SymbolTableHandler symbolTableHandler, org.apache.log4j.Logger logger)`
`static void` | `loadMalt04Posset(String fileName, String charSet, String nullValueStrategy, SymbolTableHandler symbolTableHandler, org.apache.log4j.Logger logger)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Malt04

    public Malt04()

Method Detail

### loadAllMalt04Tagset

    public static void loadAllMalt04Tagset(OptionManager om,
                                           int containerIndex,
                                           SymbolTableHandler symbolTableHandler,
                                           org.apache.log4j.Logger logger)
                                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### loadMalt04Posset

    public static void loadMalt04Posset(String fileName,
                                        String charSet,
                                        String nullValueStrategy,
                                        SymbolTableHandler symbolTableHandler,
                                        org.apache.log4j.Logger logger)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### loadMalt04Cposset

    public static void loadMalt04Cposset(String fileName,
                                         String charSet,
                                         String nullValueStrategy,
                                         SymbolTableHandler symbolTableHandler,
                                         org.apache.log4j.Logger logger)
                                  throws MaltChainedException

  Throws:
    `MaltChainedException`

### loadMalt04Depset

    public static void loadMalt04Depset(String fileName,
                                        String charSet,
                                        String nullValueStrategy,
                                        String rootLabels,
                                        SymbolTableHandler symbolTableHandler,
                                        org.apache.log4j.Logger logger)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.